# $Revision: 1.23 $, $Date: 2012/01/16 10:52:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	DateTime
%define		pnam	Locale
%include	/usr/lib/rpm/macros.perl
Summary:	DateTime::Locale - localization support for DateTime
Summary(pl.UTF-8):	DateTime::Locale - wsparcie międzynarodowe dla DateTime
Name:		perl-DateTime-Locale
Version:	0.45
Release:	3
License:	GPL v1+ or Artistic (parts on ICU License)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/DROLSKY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8ba6a4b70f8fa7d987529c2e2c708862
URL:		http://search.cpan.org/dist/DateTime-Locale/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
#BuildRequires:	perl-DateTime	# circular dependency
BuildRequires:	perl-File-Find-Rule
BuildRequires:	perl-List-MoreUtils
BuildRequires:	perl-Params-Validate >= 0.91
BuildRequires:	perl-Test-Pod >= 0.95
%endif
BuildConflicts:	perl-DateTime-Format-Strptime <= 1.1000
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq perl(DateTime::Locale.*)

%description
This package contains DateTime::Locale, an factory for the various
locale subclasses. It also provides some functions for getting
information on available locales.

%description -l pl.UTF-8
Pakiet ten zawiera DateTime::Locale, źródło różnych klas związanych z
umiędzynarodowieniem. Udostępnia również pewne funkcje służące do
pobierania informacji o dostępnych locale.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install \
	destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DateTime/Locale.pm
%{perl_vendorlib}/DateTime/LocaleCatalog.pm
%{perl_vendorlib}/DateTime/Locale
%{_mandir}/man3/DateTime::Locale*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DateTime-Locale.spec,v $
Revision 1.23  2012/01/16 10:52:22  zbyniu
- rel 3

Revision 1.22  2011/12/10 17:47:11  glen
- release 2

Revision 1.21  2011/03/04 15:37:30  qboosh
- updated to 0.45

Revision 1.20  2011/01/27 20:58:38  sparky
- BR: perl-Params-Validate

Revision 1.19  2010/11/12 23:24:34  sls
- added BR: perl-List-MoreUtils (--with tests)

Revision 1.18  2009/10/20 07:11:13  amateja
- updated to 0.44

Revision 1.17  2009/09/10 12:20:39  amateja
- updated to 0.43

Revision 1.16  2009/06/18 11:38:26  amateja
- updated to 0.42

Revision 1.15  2007/12/23 23:21:06  zbyniu
- up to 0.35

Revision 1.14  2007-03-31 11:07:01  qboosh
- generic URL
- BR: perl-Module-Build

Revision 1.13  2007/03/26 21:18:29  radek
- version 0.34

Revision 1.12  2007/03/26 21:06:16  radek
- release 3: noautoreq DateTime::Locale*

Revision 1.11  2007/03/26 20:55:51  radek
- release 2: no circular dependencies...

Revision 1.10  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.8  2005/06/02 18:21:02  qboosh
- updated to 0.22

Revision 1.7  2005/03/13 22:07:37  migo
- up to 0.21, better BRs

Revision 1.6  2004/11/03 22:30:18  paladine
- formatting

Revision 1.5  2004/04/19 22:22:15  ankry
- license/description fixes

Revision 1.4  2004/04/17 19:33:03  migo
- BR: perl-Test-Pod
- made BRs conditional, cosmetics

Revision 1.3  2004/04/13 10:24:32  ankry
- pl

Revision 1.2  2004/04/13 06:13:55  agaran
- spaces to tab

Revision 1.1  2004/04/13 05:58:25  agaran
new spec, nfy
